<?php

namespace App\Danoral\Cobranzas\Cobros;

use App\Danoral\ModelBase;

class CobroTdtCFP extends ModelBase
{
    protected $tableName = 'cobros_tdt_cfp';
    protected $primaryKey = 'idCobroCFP';
    public $incrementing = true;
    public $timestamps = false;

    protected $fillable = [
        'idCobro',
        'idDT',
        'idCFP',
        'idCuota',
        'montoCFP',
        'montoDT',
        'idMonedaDT',
        'idTC',
    ];

    function __construct($anoSchema = null) {
        if(is_null($anoSchema)){
            $this->table = parent::$SCHEMA .'.'. $this->tableName;
        }else{
            parent::getSchema_ano($anoSchema);
        }
    }
}